/*
* Multi-protocol digital position encoder master interface
*
* TI design to demonstrate the multi-protocol digital position encoder
* master interface for EnDat 2.2, Hiperface DSL and BiSS
*
* Copyright (C) 2015 Texas Instruments Incorporated - http://www.ti.com/
 *
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions
 *  are met:
*
*    Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
*
*    Redistributions in binary form must reproduce the above copyright
*    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the
 *    distribution.
*
*    Neither the name of Texas Instruments Incorporated nor the names of
*    its contributors may be used to endorse or promote products derived
*    from this software without specific prior written permission.
*
*  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
*  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
*  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
*  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*
*/

/* This file contains the PDSP instructions in a C array which are to  */
/* be downloaded from the host CPU to the PDSP instruction memory.     */
/* This file is generated by the PDSP assembler.                       */

const unsigned int BiSSFirmware[] =  {
     0x91042487,
     0x1d04e7e7,
     0x81042487,
     0x2eff8197,
     0x1d060404,
     0x91403a87,
     0x24000307,
     0x81403a87,
     0x2486a087,
     0x240001c7,
     0x81483a87,
     0x91001c87,
     0x10070713,
     0x10272733,
     0x003313e7,
     0x591fe703,
     0x0101e753,
     0x79000002,
     0x24001f53,
     0x2eff8095,
     0x2eff8194,
     0x1d020404,
     0x24001f64,
     0x24000145,
     0x24000047,
     0x2eff8188,
     0x1d000404,
     0x2eff8075,
     0x24040787,
     0x1e45fefe,
     0x241388e3,
     0x30e30002,
     0x0100e0e0,
     0x2403e8eb,
     0x1d050404,
     0xd100ff06,
     0x0501ebeb,
     0x6f00ebfe,
     0x1f050404,
     0x81161c04,
     0x2a000000,
     0x240064e3,
     0x1d010404,
     0x24001a85,
     0x91082486,
     0x2400ba06,
     0x24000226,
     0x81082486,
     0x7900001a,
     0x240032e3,
     0x1d010404,
     0x24003485,
     0x91082486,
     0x2400ba06,
     0x2eff8026,
     0x81082486,
     0x79000012,
     0x240014e3,
     0x1d010404,
     0x24008285,
     0x91082486,
     0x24004206,
     0x2eff8026,
     0x81082486,
     0x7900000a,
     0x24000ae3,
     0x1d010404,
     0x24010485,
     0x91082486,
     0x24001a06,
     0x2eff8026,
     0x13012626,
     0x81082486,
     0x790000c9,
     0x24000302,
     0x00130202,
     0x00330202,
     0x10020246,
     0x2eff858c,
     0x24000022,
     0x240000d6,
     0x1c45fefe,
     0x0503e3ea,
     0x30ea0002,
     0x0100e0e0,
     0x1e45fefe,
     0x0503e3ea,
     0x30ea0002,
     0x0100e0e0,
     0x1c45fefe,
     0x0504e3ea,
     0x30ea0002,
     0x0100e0e0,
     0x79000007,
     0x0100e0e0,
     0x1c45fefe,
     0x05010202,
     0x0504e3ea,
     0x30ea0002,
     0x0100e0e0,
     0x1e45fefe,
     0x101f1f24,
     0x0506e3ea,
     0x30ea0002,
     0x0100e0e0,
     0x57ff24f5,
     0x04024606,
     0x1c45fefe,
     0xd107240a,
     0xd106240a,
     0xd105240a,
     0xd104240a,
     0xd103240a,
     0xd102240a,
     0xd101240a,
     0xd100240a,
     0x24000026,
     0x7900002d,
     0xd1062409,
     0xd1052409,
     0xd1042409,
     0xd1032409,
     0xd1022409,
     0xd1012409,
     0xd1002409,
     0x24000126,
     0x79000024,
     0xd1052408,
     0xd1042408,
     0xd1032408,
     0xd1022408,
     0xd1012408,
     0xd1002408,
     0x24000226,
     0x7900001c,
     0xd1042407,
     0xd1032407,
     0xd1022407,
     0xd1012407,
     0xd1002407,
     0x24000326,
     0x79000015,
     0xd1032406,
     0xd1022406,
     0xd1012406,
     0xd1002406,
     0x24000426,
     0x7900000f,
     0xd1022405,
     0xd1012405,
     0xd1002405,
     0x24000526,
     0x7900000a,
     0xd1012404,
     0xd1002404,
     0x24000626,
     0x79000006,
     0xd1002403,
     0x24000726,
     0x79000003,
     0x24000826,
     0x79000001,
     0x811e1c06,
     0x811a1c24,
     0x0511e3ea,
     0x30ea0002,
     0x0100e0e0,
     0x1e45fefe,
     0x101f1f24,
     0x05010202,
     0x04260726,
     0x49042603,
     0x04262726,
     0x79000003,
     0x05042626,
     0x79000001,
     0x10262666,
     0xd1000402,
     0x79000002,
     0x10626226,
     0x050de3ea,
     0x30ea0002,
     0x0100e0e0,
     0xd026241e,
     0x1c45fefe,
     0x0101d6d6,
     0x6964e306,
     0x0100e0e0,
     0x0100e0e0,
     0x7085d60e,
     0x1f010404,
     0x7b0000bf,
     0x6932e305,
     0x0100e0e0,
     0x7085d609,
     0x1f010404,
     0x7b0000ba,
     0x6914e304,
     0x7085d605,
     0x1f010404,
     0x7b0000b6,
     0x1f010404,
     0x7b0000b4,
     0x0508e3ea,
     0x30ea0002,
     0x0100e0e0,
     0x1e45fefe,
     0x101f1f24,
     0x811c1cd6,
     0x0507e3ea,
     0x30ea0002,
     0x0100e0e0,
     0xce2624e4,
     0x1c45fefe,
     0x05010202,
     0x0504e3ea,
     0x30ea0002,
     0x0100e0e0,
     0x1e45fefe,
     0x101f1f24,
     0x0504e3ea,
     0x30ea0002,
     0x0100e0e0,
     0x1c45fefe,
     0x511f2204,
     0x0100e0e0,
     0x0100e0e0,
     0x79000004,
     0x10ececed,
     0x2eff818c,
     0x24000022,
     0xd0262403,
     0x1d00ecec,
     0x79000003,
     0x1f00ecec,
     0x0100e0e0,
     0x0901ecec,
     0x050be3ea,
     0x30ea0002,
     0x0100e0e0,
     0x1e45fefe,
     0x101f1f24,
     0x01012222,
     0x05010202,
     0x0507e3ea,
     0x30ea0002,
     0x0100e0e0,
     0x6f0002e8,
     0x510006dc,
     0x511f2204,
     0x0100e0e0,
     0x0100e0e0,
     0x79000004,
     0x10ececed,
     0x2eff818c,
     0x24000022,
     0xd0262403,
     0x1d00ecec,
     0x79000003,
     0x1f00ecec,
     0x0100e0e0,
     0x0901ecec,
     0x050be3ea,
     0x30ea0002,
     0x0100e0e0,
     0x0100e0e0,
     0x101f1f24,
     0x05010606,
     0x01012222,
     0x0507e3ea,
     0x30ea0002,
     0x0100e0e0,
     0x6f0006e8,
     0x790000c3,
     0x24000302,
     0x00130202,
     0x00330202,
     0x10020246,
     0x2eff858c,
     0x24000022,
     0x240000d6,
     0x1c45fefe,
     0x0503e3ea,
     0x30ea0002,
     0x0100e0e0,
     0x1e45fefe,
     0x0503e3ea,
     0x30ea0002,
     0x0100e0e0,
     0x1c45fefe,
     0x0504e3ea,
     0x30ea0002,
     0x0100e0e0,
     0x7900000c,
     0x0100e0e0,
     0x1c45fefe,
     0x05010202,
     0x0100e0e0,
     0x0100e0e0,
     0x0100e0e0,
     0x0100e0e0,
     0x0100e0e0,
     0x0100e0e0,
     0x0100e0e0,
     0x0100e0e0,
     0x1e45fefe,
     0x101f1f24,
     0x1024240b,
     0x0100e0e0,
     0x0100e0e0,
     0x0100e0e0,
     0x0100e0e0,
     0x0100e0e0,
     0x57ff24ed,
     0x04024606,
     0x1c45fefe,
     0xd107240c,
     0xd106240c,
     0xd105240c,
     0xd104240c,
     0xd103240c,
     0xd102240c,
     0xd101240c,
     0xd100240c,
     0x24000026,
     0x1e45fefe,
     0x101f1f24,
     0x7900003d,
     0xd106240b,
     0xd105240b,
     0xd104240b,
     0xd103240b,
     0xd102240b,
     0xd101240b,
     0xd100240b,
     0x24000126,
     0x1e45fefe,
     0x101f1f24,
     0x79000032,
     0xd105240a,
     0xd104240a,
     0xd103240a,
     0xd102240a,
     0xd101240a,
     0xd100240a,
     0x24000226,
     0x1e45fefe,
     0x101f1f24,
     0x79000028,
     0xd1042409,
     0xd1032409,
     0xd1022409,
     0xd1012409,
     0xd1002409,
     0x24000326,
     0x1e45fefe,
     0x101f1f24,
     0x7900001f,
     0xd1032408,
     0xd1022408,
     0xd1012408,
     0xd1002408,
     0x24000426,
     0x1e45fefe,
     0x101f1f24,
     0x79000017,
     0xd1022407,
     0xd1012407,
     0xd1002407,
     0x24000526,
     0x1e45fefe,
     0x101f1f24,
     0x79000010,
     0xd1012406,
     0xd1002406,
     0x24000626,
     0x1e45fefe,
     0x101f1f24,
     0x7900000a,
     0xd1002405,
     0x24000726,
     0x1e45fefe,
     0x101f1f24,
     0x79000005,
     0x24000826,
     0x1e45fefe,
     0x101f1f24,
     0x0100e0e0,
     0x0100e0e0,
     0x05010202,
     0x04260726,
     0x49042603,
     0x04262726,
     0x79000003,
     0x05042626,
     0x0100e0e0,
     0xd0262410,
     0x1c45fefe,
     0x10262666,
     0x0101d6d6,
     0x7085d603,
     0x1f010404,
     0x790000ec,
     0x0506e3ea,
     0x30ea0002,
     0x0100e0e0,
     0x1e45fefe,
     0x101f1f24,
     0x0505e3ea,
     0x30ea0002,
     0x0100e0e0,
     0xce2624f2,
     0x1c45fefe,
     0x10262666,
     0x10626226,
     0x05010202,
     0x811e1c06,
     0x811a1c0b,
     0x811c1cd6,
     0x1e45fefe,
     0x101f1f24,
     0x0504e3ea,
     0x30ea0002,
     0x0100e0e0,
     0x1c45fefe,
     0x511f2204,
     0x0100e0e0,
     0x0100e0e0,
     0x79000004,
     0x10ececed,
     0x2eff818c,
     0x24000022,
     0xd0262403,
     0x1d00ecec,
     0x79000003,
     0x1f00ecec,
     0x0100e0e0,
     0x0901ecec,
     0x01012222,
     0x1e45fefe,
     0x101f1f24,
     0x05010202,
     0x0506e3ea,
     0x30ea0002,
     0x0100e0e0,
     0x6f0002eb,
     0x51000616,
     0x511f2204,
     0x0100e0e0,
     0x0100e0e0,
     0x79000004,
     0x10ececed,
     0x2eff818c,
     0x24000022,
     0xd0262403,
     0x1d00ecec,
     0x79000003,
     0x1f00ecec,
     0x0100e0e0,
     0x0901ecec,
     0x05010606,
     0x0100e0e0,
     0x101f1f24,
     0x0505e3ea,
     0x30ea0002,
     0x0100e0e0,
     0x6f0006ec,
     0x79000001,
     0x71161303,
     0x10ededeb,
     0x79000002,
     0x10ececeb,
     0x690e6404,
     0xd053eb03,
     0x1c45fefe,
     0x79000011,
     0xc9020405,
     0x610ff404,
     0x5910f405,
     0x1c45fefe,
     0x7900000c,
     0x1e45fefe,
     0x7900000a,
     0xd064f103,
     0x1e45fefe,
     0x79000002,
     0x1c45fefe,
     0xd053eb03,
     0x1c64f2f2,
     0x79000002,
     0x1e64f2f2,
     0x05016464,
     0x1075750b,
     0x91021c55,
     0x570055ff,
     0x690a5503,
     0x24004175,
     0x79000008,
     0x69055503,
     0x24003975,
     0x79000005,
     0x69025503,
     0x24003175,
     0x79000002,
     0x24002975,
     0x50750b04,
     0x1d000404,
     0x2eff8016,
     0x7900000b,
     0x59051602,
     0x01011616,
     0x1f000404,
     0x00280862,
     0x00486262,
     0x00686262,
     0x0b026262,
     0x91003a8b,
     0x1f00ebeb,
     0x81003a8b,
     0x511f5308,
     0x1c53ecee,
     0x0b01eeee,
     0x17000e06,
     0x113f0606,
     0x0a33eeee,
     0x81083c8e,
     0x79000007,
     0x1d1fecee,
     0x0b01ecee,
     0x81083c8e,
     0x0b01edee,
     0x810c3c8e,
     0x7900000d,
     0x23024d9d,
     0x81181c0e,
     0x68060e03,
     0x1d030404,
     0x79000004,
     0x1f060404,
     0x01019595,
     0x1f030404,
     0x81141c95,
     0x81161c04,
     0xc9020402,
     0x0101f4f4,
     0x91043c8b,
     0x5100eb06,
     0x10ebebf1,
     0x2eff818b,
     0x81043c8b,
     0x1f020404,
     0x1d040404,
     0x6900640f,
     0x1d020404,
     0x2eff8194,
     0x24001f64,
     0x0b02f2ee,
     0x17000e0b,
     0x110f0b0b,
     0x0b04eeee,
     0x11ffeeee,
     0x81103c8e,
     0x2302679d,
     0x680e0b02,
     0x79000002,
     0x1f040404,
     0x81191c0e,
     0xd1060414,
     0x91443a8b,
     0xcf00ebfe,
     0x81443a8b,
     0x240cb2ea,
     0x30ea0002,
     0x0100e0e0,
     0x2403e8eb,
     0xd100ff06,
     0x0501ebeb,
     0x6f00ebfe,
     0x1f050404,
     0x81161c04,
     0x2a000000,
     0x1e45fefe,
     0x59024702,
     0x01014747,
     0x0908e8e8,
     0x10666608,
     0x20750000,
     0x1d060404,
     0x20750000,
     0x24000644,
     0x24003fef,
     0x240043f0,
     0x1c53ecee,
     0x0b01eeee,
     0x0b06eeee,
     0x2701ee09,
     0x0809f0f0,
     0x0906eeee,
     0x14f0eeee,
     0x2701ee09,
     0x58094408,
     0x04440909,
     0x240043f0,
     0x60eef003,
     0x10efeeee,
     0x209d0000,
     0x0809f0f0,
     0x7f0000f7,
     0x50094403,
     0x10efeeee,
     0x209d0000,
     0x240043f0,
     0x14f0eeee,
     0x10efeeee,
     0x209d0000,
     0x24000444,
     0x240013f0,
     0x24000fef,
     0x2701ee09,
     0x0809f0f0,
     0x0904eeee,
     0x14f0eeee,
     0x2701ee09,
     0x58094408,
     0x04440909,
     0x240013f0,
     0x60eef003,
     0x10efeeee,
     0x209d0000,
     0x0809f0f0,
     0x7f0000f7,
     0x50094403,
     0x10efeeee,
     0x209d0000,
     0x240013f0,
     0x14f0eeee,
     0x10efeeee,
     0x209d0000,
     0x81161c04,
     0x1e45fefe,
     0x240cb2ea,
     0x30ea0002,
     0x0100e0e0,
     0x1e45fefe,
     0x2403e8eb,
     0xd100ff06,
     0x0501ebeb,
     0x6f00ebfe,
     0x1f050404,
     0x81161c04,
     0x2a000000,
     0x20750000,
     0x2a000000 };

